\name{SNPlocs.Hsapiens.dbSNP.20090506}
\docType{package}

\alias{SNPlocs.Hsapiens.dbSNP.20090506-package}
\alias{SNPlocs.Hsapiens.dbSNP.20090506}
\alias{getSNPcount}
\alias{getSNPlocs}

\alias{SNPcount}
\alias{chr1_snplocs}
\alias{chr2_snplocs}
\alias{chr3_snplocs}
\alias{chr4_snplocs}
\alias{chr5_snplocs}
\alias{chr6_snplocs}
\alias{chr7_snplocs}
\alias{chr8_snplocs}
\alias{chr9_snplocs}
\alias{chr10_snplocs}
\alias{chr11_snplocs}
\alias{chr12_snplocs}
\alias{chr13_snplocs}
\alias{chr14_snplocs}
\alias{chr15_snplocs}
\alias{chr16_snplocs}
\alias{chr17_snplocs}
\alias{chr18_snplocs}
\alias{chr19_snplocs}
\alias{chr20_snplocs}
\alias{chr21_snplocs}
\alias{chr22_snplocs}
\alias{chrX_snplocs}
\alias{chrY_snplocs}


\title{SNP locations for Homo sapiens (dbSNP BUILD 130)}

\description{
  SNP locations and alleles for Homo sapiens extracted from dbSNP BUILD 130.
}

\usage{
  ## Convenience wrappers for loading the SNP data:
  getSNPcount()
  getSNPlocs(seqname)

  ## Datasets:
  data(SNPcount)
  data(chr1_snplocs)
  data(chr2_snplocs)
  data(chr3_snplocs)
  data(chr4_snplocs)
  data(chr5_snplocs)
  data(chr6_snplocs)
  data(chr7_snplocs)
  data(chr8_snplocs)
  data(chr9_snplocs)
  data(chr10_snplocs)
  data(chr11_snplocs)
  data(chr12_snplocs)
  data(chr13_snplocs)
  data(chr14_snplocs)
  data(chr15_snplocs)
  data(chr16_snplocs)
  data(chr17_snplocs)
  data(chr18_snplocs)
  data(chr19_snplocs)
  data(chr20_snplocs)
  data(chr21_snplocs)
  data(chr22_snplocs)
  data(chrX_snplocs)
  data(chrY_snplocs)
}

\arguments{
  \item{seqname}{
    The name of the sequence for which to get the SNP locations.
  }
}

\details{
  \code{getSNPcount} and \code{getSNPlocs} are convenience wrappers for loading
  the SNP data. \code{getSNPcount} returns a named integer vector containing the
  number of SNPs mapped to each sequence in the genome. \code{getSNPlocs} returns a
  data frame containing the RefSNP id, alleles and location for each SNP mapped
  to the specified sequence. The alleles is represented by an IUPAC nucleotide
  ambiguity code. See \code{?\link[Biostrings]{IUPAC_CODE_MAP}} in the Biostrings
  package for more information.
}

\note{
  The source data files used for this package were created by NCBI
  on 5-6 May 2009. The SNPs in this package map the hg18 genome (NCBI Build 36.1)
  and therefore can be "injected" in BSgenome.Hsapiens.UCSC.hg18.
  See \code{?\link[BSgenome]{injectSNPs}} in the BSgenome software package
  for more information.
}

\author{H. Pages}

\seealso{
  \link[Biostrings]{IUPAC_CODE_MAP},
  \link[BSgenome]{injectSNPs}
}

\examples{
  getSNPcount()
  chr22snps <- getSNPlocs("chr22")
  dim(chr22snps)
  colnames(chr22snps)
  head(chr22snps)
}

\keyword{package}
\keyword{data}
